@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@500;700&display=swap');

h3, h2 {
    text-transform: uppercase;
}

h2 {
    text-align: center;
    margin-top: 1rem;
}

.no-uppercase {
    text-transform: none;
}

li {
    margin-left: 1.2rem;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    cursor: default;
    user-select: none;
}

.presentation-wrapper {
    width: 100%;
    min-height: 100vh;
    background: url('images/background.png') no-repeat center center / cover;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'Montserrat', sans-serif;
    padding: 20px;
    box-sizing: border-box;
}

.presentation-card {
    background: rgba(255, 255, 255, 0.4);
    border: 1px solid rgba(255, 255, 255, 0.7);
    border-radius: 20px;
    padding: 20px 32px;
    box-shadow: 0 3px 20px 0 rgba(25, 60, 136, 0.2);
    max-width: 1200px;
    width: 100%;
    backdrop-filter: blur(3px);
}

.presentation-title {
    line-height: 48px;
    font-weight: 700;
    color: #21272F;
    margin: 0 0 20px 0;
    text-align: center;
}

.presentation-title .highlight {
    font-weight: 500;
}

.presentation-content {
    display: flex;
    gap: 40px;
}

/* ---------- Блок иконок ---------- */
.icons-block {
    flex: 2;
    background: rgba(255, 255, 255, 0.3);
    border-radius: 30px;
    padding: 20px;
    box-shadow: 0 3px 20px 0 rgba(25, 60, 136, 0.2);
    display: flex;
    flex-direction: column;
    backdrop-filter: blur(0.1px);
    gap: 1rem;
}

.icon-item {
    display: flex;
    align-items: center;
    gap: 15px;
    padding: 0.5rem;
}

.icon-item img {
    width: 50px;
    height: auto;
    flex-shrink: 0;
}

.icon-item p, ul {
    line-height: 1.5;
    color: #21272F;
    margin: 0;
    text-align: left;
    font-size: 14px;
}

/* --------- Анимации --------- */

.icon-item:hover {
    backdrop-filter: blur(1px);
    border-radius: 15px;
    box-shadow: 0 3px 20px 0 rgba(25, 60, 136, 0.2);
}

/* --------- Кнопка --------- */

a.button {
    display: block;
    background-color: #FFDE05;
    color: #21272F;
    padding: 0.5rem;
    backdrop-filter: blur(1px);
    border: 1px solid rgba(255, 255, 255, 0.7);
    border-radius: 15px;
    box-shadow: 0 3px 20px 0 rgba(25, 60, 136, 0.2);
    text-decoration: none;
    text-align: center;
    scale: 1;
    transition: 0.3s;
    width: 50%;
    margin: auto;
}

a.button:hover {
    color: #21272F;
    cursor: pointer;
    scale: 1.05;
    transition: 0.3s;
}

/* ---------- Адаптивность ---------- */
@media (max-width: 1024px) {
    .presentation-content {
        flex-direction: column;
    }
    .icons-block {
        flex: none;
        width: 100%;
    }
    .products-block {
        flex: none;
        width: 100%;
        grid-template-columns: repeat(2, 1fr);
    }
    .products-block a.button {
    grid-column: 1 / -1;
    width: 50%;
    margin: auto;
    }
}

@media (max-width: 768px) {
    .presentation-title {
        font-size: 28px;
        line-height: 36px;
    }
    .icon-item img {
        width: 45px;
    }
    .icon-item p {
        font-size: 20px;
    }
    .products-block {
        gap: 15px;
    }
}

@media (max-width: 480px) {
    .presentation-title {
        font-size: 22px;
        line-height: 30px;
    }
    .presentation-card {
        padding: 15px;
    }
    .icons-block {
        padding: 15px;
        gap: 15px;
    }
    .icon-item {
        gap: 12px;
    }
    .icon-item img {
        width: 40px;
    }
    .icon-item p {
        font-size: 23px;
    }
    .products-block {
        grid-template-columns: 1fr;
        gap: 15px;
    }
}